import { APIGatewayEvent, Handler as LambdaHandler } from 'aws-lambda';
import { Middleware, Request, Response } from '../types';
export interface HandlerOptions {
    initialize?: () => void;
    middlewares?: Middleware[];
}
export declare type HandlerFn = (request: Request, response: Response) => Promise<any | void>;
export declare function extend(options: HandlerOptions, handler: HandlerFn): LambdaHandler<APIGatewayEvent>;
