export declare type Next = () => Promise<void> | void;
export declare type Task<Arg> = (arg: Arg, next: Next) => Promise<void> | void;
export declare class Pipeline<Arg> {
    private tasks;
    constructor(tasks: Task<Arg>[]);
    push(...tasks: Task<Arg>[]): void;
    execute(arg: Arg): Promise<void>;
}
